import readCSV

def petname_frequencies(pets):
    """Given a list of names, create a dictionary of counts of each name"""
    "*** YOUR CODE HERE ***"
    return {}

def normalize_name(name):
    """Normalize name by removing punctuation, spaces, and lower-casing everything."""
    "*** YOUR CODE HERE ***"
    return ""


def normalize_names(nameCounts):
    """Given a dictionary of name counts, normalize the names and combine their counts."""
    "*** YOUR CODE HERE ***"
    return {}

def main():
    # Step 1: read data from animals.csv using read_JSON
    "*** YOUR CODE HERE ***"
    # Step 2: get name frequencies
    "*** YOUR CODE HERE ***"
    # Step 3: get normalized name frequencies
    "*** YOUR CODE HERE ***"
    # Step 4: print out the top 10 most common names in descending order
    "*** YOUR CODE HERE ***"

main()